org.apache.ignite.internal.util

## Class FeatureChecker

- java.lang.Object
- - org.apache.ignite.internal.util.FeatureChecker

    public class FeatureChecker
    extends Object

Class extracted for fields from GridUnsafe to be absolutely independent with current and future static block initialization effects.

### Field Summary

Fields
`static String` `JAVA_9_10_11_OPTIONS` Required Options to Run on Java 9, 10, 11.
`static String` `JAVA_VER_SPECIFIC_WARN` Java version specific warning to be added in case access failed

### Constructor Summary

Constructors
Constructor and Description
`FeatureChecker()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JAVA_9_10_11_OPTIONS

    public static final String JAVA_9_10_11_OPTIONS

Required Options to Run on Java 9, 10, 11.

See Also:
  Constant Field Values

#### JAVA_VER_SPECIFIC_WARN

    public static final String JAVA_VER_SPECIFIC_WARN

Java version specific warning to be added in case access failed

See Also:
  Constant Field Values

### Constructor Detail

#### FeatureChecker

    public FeatureChecker()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021